[package - main-riscv64-default][audio/spectacle-lv2] Failed for spectacle-lv2-2.0.1_1 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Thu, 29 Jul 2021 18:17:01 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     yuri_at_FreeBSD.org
Log URL:        http://beefy7.nyi.freebsd.org/data/main-riscv64-default/pd69639d824b8_s7685f8344d/logs/spectacle-lv2-2.0.1_1.log
Build URL:      http://beefy7.nyi.freebsd.org/build.html?mastername=main-riscv64-default&build=pd69639d824b8_s7685f8344d
Log:

=>> Building audio/spectacle-lv2
build started at Thu Jul 29 18:14:20 UTC 2021
port directory: /usr/ports/audio/spectacle-lv2
package name: spectacle-lv2-2.0.1_1
building for: FreeBSD main-riscv64-default-job-15 14.0-CURRENT FreeBSD 14.0-CURRENT 1400026 riscv
maintained by: yuri_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-20-g137a4a48
Host OSVERSION: 1400008
Jail OSVERSION: 1400026
Job Id: 15




!!! Jail is newer than host. (Jail: 1400026, Host: 1400008) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=riscv64
UNAME_m=riscv
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1400026
UNAME_v=FreeBSD 14.0-CURRENT 1400026
UNAME_r=14.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-20-g137a4a48
MASTERMNT=/usr/local/poudriere/data/.m/main-riscv64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/main-riscv64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=main-riscv64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/main-riscv64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for spectacle-lv2-2.0.1_1:
     JACK=on: JACK audio server support
     VST=off
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
yuri_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work  HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/audio/spectacle-lv2/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work  HOME=/wrkdirs/usr/ports/audio/spectacle-lv2/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/audio/spectacle-lv2/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d  -fstack-protector-strong -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -lpthread -fstack-protector-strong " LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d -fstack-protector-strong -fno-strict-aliasing  -I/usr/ports/audio/spectacle-lv2/files "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTAL
 L_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
JACK="" NO_JACK="_at_comment " VST="_at_comment " NO_VST="" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0"  GTK4_VERSION="4.0.0" OSREL=14.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/spectacle"  EXAMPLESDIR="share/examples/spectacle"  DATADIR="share/spectacle"  WWWDIR="www/spectacle"  ETCDIR="etc/spectacle"
--End PLIST_SUB--

--SUB_LIST--
JACK="" NO_JACK="_at_comment " VST="_at_comment " NO_VST="" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/spectacle DOCSDIR=/usr/local/share/doc/spectacle EXAMPLESDIR=/usr/local/share/examples/spectacle  WWWDIR=/usr/local/www/spectacle ETCDIR=/usr/local/etc/spectacle
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=riscv
MACHINE_ARCH=riscv64
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--enable-new-dtags" "-m" "elf64lriscv" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=riscv64
OPSYS=FreeBSD
_OSRELEASE=14.0-CURRENT
OSREL=14.0
OSVERSION=1400026
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License ISCL accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   spectacle-lv2-2.0.1_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.1.pkg
[main-riscv64-default-job-15] Installing pkg-1.17.1...
[main-riscv64-default-job-15] Extracting pkg-1.17.1: .......... done
===>   spectacle-lv2-2.0.1_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License ISCL accepted by the user
===> Fetching all distfiles required by spectacle-lv2-2.0.1_1 for building
<snip>

Various consumers of net/py-urllib3 already have implemented routines that
either explicitly enable or disable HTTPS certificate verification (e.g. via
configuration settings, CLI arguments, etc.).

Yet it may happen that there are still some consumers which don't explicitly
enable/disable certificate verification for HTTPS connections which could then
lead to errors (as is often the case with self-signed certificates).

In case of an error one should try first to temporarily disable certificate
verification of the problematic urllib3 consumer to see if that approach will
remedy the issue.
=====
Message from lv2-1.18.2:

--
===>   NOTICE:

The lv2 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://docs.freebsd.org/en/articles/contributing/#ports-contributing
===>   spectacle-lv2-2.0.1_1 depends on package: lv2>0 - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on executable: bash - not found
===>   Installing existing package /packages/All/bash-5.1.8.pkg
[main-riscv64-default-job-15] Installing bash-5.1.8...
[main-riscv64-default-job-15] Extracting bash-5.1.8: .......... done
===>   spectacle-lv2-2.0.1_1 depends on executable: bash - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on file: /usr/local/include/fftw3.h - not found
===>   Installing existing package /packages/All/fftw3-3.3.9.pkg
[main-riscv64-default-job-15] Installing fftw3-3.3.9...
[main-riscv64-default-job-15] Extracting fftw3-3.3.9: .......... done
===>   spectacle-lv2-2.0.1_1 depends on file: /usr/local/include/fftw3.h - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on executable: xxd - not found
===>   Installing existing package /packages/All/vim-console-8.2.3081.pkg
[main-riscv64-default-job-15] Installing vim-console-8.2.3081...
[main-riscv64-default-job-15] Extracting vim-console-8.2.3081: .......... done
===>   spectacle-lv2-2.0.1_1 depends on executable: xxd - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on package: gmake>=4.3 - not found
===>   Installing existing package /packages/All/gmake-4.3_2.pkg
[main-riscv64-default-job-15] Installing gmake-4.3_2...
[main-riscv64-default-job-15] Extracting gmake-4.3_2: .......... done
===>   spectacle-lv2-2.0.1_1 depends on package: gmake>=4.3 - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.7.4,1.pkg
[main-riscv64-default-job-15] Installing pkgconf-1.7.4,1...
[main-riscv64-default-job-15] Extracting pkgconf-1.7.4,1: .......... done
===>   spectacle-lv2-2.0.1_1 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on package: xorgproto>=0 - found
===>   spectacle-lv2-2.0.1_1 depends on file: /usr/local/libdata/pkgconfig/x11.pc - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   spectacle-lv2-2.0.1_1 depends on shared library: libfftw3f.so - not found
===>   Installing existing package /packages/All/fftw3-float-3.3.9.pkg
[main-riscv64-default-job-15] Installing fftw3-float-3.3.9...
[main-riscv64-default-job-15] Extracting fftw3-float-3.3.9: .......... done
===>   spectacle-lv2-2.0.1_1 depends on shared library: libfftw3f.so - found (/usr/local/lib/libfftw3f.so)
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on shared library: libjack.so - not found
===>   Installing existing package /packages/All/jackit-0.125.0_12.pkg
[main-riscv64-default-job-15] Installing jackit-0.125.0_12...
[main-riscv64-default-job-15] `-- Installing celt-0.11.3_3...
[main-riscv64-default-job-15] `-- Extracting celt-0.11.3_3: .......... done
[main-riscv64-default-job-15] `-- Installing db5-5.3.28_7...
[main-riscv64-default-job-15] `-- Extracting db5-5.3.28_7: .......... done
[main-riscv64-default-job-15] `-- Installing libsamplerate-0.2.1...
[main-riscv64-default-job-15] `-- Extracting libsamplerate-0.2.1: .......... done
[main-riscv64-default-job-15] Extracting jackit-0.125.0_12: .......... done
=====
Message from jackit-0.125.0_12:

--
======================================================================
It is recommended to run Jack with real-time priority (-R).

The recommended way to start Jack is to add the following
lines to /etc/rc.conf:

jackd_enable="YES"
jackd_user="{your-jack-user}"
jackd_rtprio="YES"
jackd_args="-R -doss -r{sample-rate} -p1024 -n3 -w16 \
            --capture /dev/dsp{N} --playback /dev/dsp{N}"

Where:
- your-jack-user: is the user who is going to use jack; currently
                  only one user is supported
- sample-rate: can be 44100, 48000, etc.
- /dev/dsp{N}: your OSS devices, usually /dev/dsp0

Please note that the port option COOKEDMODE is "on" by default, which
makes your system to automatically scale the sample-rate between
Jack and audio hardware. One reason COOKEDMODE=on is because
Jack's OSS driver doesn't support some sample-rate and hardware
combinations when COOKEDMODE=off. To achieve the best sound quality
please make sure your hardware natively supports the sample-rate set
in jackd_args, and set COOKEDMODE=off.
======================================================================
===>   spectacle-lv2-2.0.1_1 depends on shared library: libjack.so - found (/usr/local/lib/libjack.so)
===>   Returning to build of spectacle-lv2-2.0.1_1
===>   spectacle-lv2-2.0.1_1 depends on shared library: libGL.so - found (/usr/local/lib/libGL.so)
===>   spectacle-lv2-2.0.1_1 depends on shared library: libcairo.so - found (/usr/local/lib/libcairo.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for spectacle-lv2-2.0.1_1
===========================================================================
=======================<phase: build          >============================
===>  Building for spectacle-lv2-2.0.1_1
gmake[1]: Entering directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525'
gmake -C dpf/dgl ../build/libdgl-opengl.a
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/dpf/dgl'
Compiling src/Application.cpp
Compiling src/Color.cpp
Compiling src/Geometry.cpp
Compiling src/ImageBase.cpp
Compiling src/Resources.cpp
Compiling src/Widget.cpp
Compiling src/OpenGL.cpp (OpenGL variant)
Compiling src/Image.cpp (OpenGL variant)
Compiling src/ImageWidgets.cpp (OpenGL variant)
Compiling src/NanoVG.cpp (OpenGL variant)
Compiling src/WidgetPrivateData.cpp (OpenGL variant)
Compiling src/Window.cpp (OpenGL variant)
Creating libdgl-opengl.a
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/dpf/dgl'
gmake res -C plugins/spectacle;
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/plugins/spectacle'
mkdir -p ../../build/spectacle-analyzer/res/fonts/liberation/
zcat ../../resources/fonts/liberation/LiberationSans-Regular.ttf.gz | od -An -tx1 -v | awk '{for(i=1;i<=NF;i++){printf "0x%s,",$i}}' > ../../build/spectacle-analyzer/res/fonts/liberation/LiberationSans-Regular.ttf.h.tmp
mv -f ../../build/spectacle-analyzer/res/fonts/liberation/LiberationSans-Regular.ttf.h.tmp ../../build/spectacle-analyzer/res/fonts/liberation/LiberationSans-Regular.ttf.h
mkdir -p ../../build/spectacle-analyzer/res/fonts/fontawesome/
zcat ../../resources/fonts/fontawesome/Font-Awesome-5-Free-Solid-900.otf.gz | od -An -tx1 -v | awk '{for(i=1;i<=NF;i++){printf "0x%s,",$i}}' > ../../build/spectacle-analyzer/res/fonts/fontawesome/Font-Awesome-5-Free-Solid-900.otf.h.tmp
mv -f ../../build/spectacle-analyzer/res/fonts/fontawesome/Font-Awesome-5-Free-Solid-900.otf.h.tmp ../../build/spectacle-analyzer/res/fonts/fontawesome/Font-Awesome-5-Free-Solid-900.otf.h
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/plugins/spectacle'
gmake all -C plugins/spectacle;
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/plugins/spectacle'
Compiling sources/plugin/PluginSpectralAnalyzer.cpp
Compiling sources/plugin/Parameters.cpp
Compiling sources/dsp/FFTPlanner.cpp
Compiling sources/dsp/SpectralAnalyzer.cpp
Compiling sources/dsp/STFT.cpp
Compiling sources/dsp/MultirateSTFT.cpp
Compiling thirdparty/spin_mutex/src/SpinMutex.cpp
In file included from thirdparty/spin_mutex/src/SpinMutex.cpp:8:
thirdparty/spin_mutex/src/SpinLoopPause.h:40:2: error: "Unknown CPU architecture."
#error "Unknown CPU architecture."
 ^
thirdparty/spin_mutex/src/SpinMutex.cpp:23:9: error: use of undeclared identifier 'spin_loop_pause'
        spin_loop_pause();
        ^
thirdparty/spin_mutex/src/SpinMutex.cpp:30:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:31:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:32:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:33:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:34:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:35:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:36:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:37:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:38:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
thirdparty/spin_mutex/src/SpinMutex.cpp:39:13: error: use of undeclared identifier 'spin_loop_pause'
            spin_loop_pause();
            ^
12 errors generated.
gmake[2]: *** [../../dpf/Makefile.plugins.mk:147: ../../build/spectacle-analyzer/thirdparty/spin_mutex/src/SpinMutex.cpp.o] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525/plugins/spectacle'
gmake[1]: *** [Makefile:27: plugins] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/spectacle-lv2/work/spectacle-2.0-1-g27b1525'
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/spectacle-lv2
Received on Thu Jul 29 2021 - 18:17:01 UTC

Original text of this message